<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Volume knob</title>
	<link type="text/css" rel="stylesheet" href="http://twitter.github.com/bootstrap/assets/css/bootstrap.css" />
	<style>
	audio{display:none}
	.audiocontrols > .volume {width:140px; position:relative; height:14px}
	.audiocontrols > .volume > .slider{position:relative;border-radius:5px;background:#dedede; width:100px;height:10px;display:inline-block}
	.audiocontrols > .volume > .slider > .knob{position:absolute;top:0;left:0;background:#999;border-radius:10px; width:10px; height:10px;cursor:pointer}
	</style>
</head>

<body>
<div class="container">
    <audio preload="auto" autobuffer controls id="audio">
        <source src="04_1904.ogg" type="audio/ogg"  />
        <source src="04_1904.mp3" type="audio/mpeg" />
        <source src="04_1904.wav" type="audio/wav" />
    </audio>
    <div class="audiocontrols">
        <a href="#" class="play"><i class="icon-play"></i></a>
        <a href="#" class="pause"><i class="icon-pause"></i></a>
        <a href="#" class="stop"><i class="icon-stop"></i></a>
        <div class="volume">
            <a href="#" class="down"><i class="icon-volume-down"></i></a>
            <div class="slider"><span class="knob"></span></div>
            <a href="#" class="up"><i class="icon-volume-up"></i></a>
        </div>
    </div>
</div>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.18/jquery-ui.min.js"></script>

<script type="text/javascript">
(function($){
	var audio = document.getElementById('audio');
	$('.audiocontrols a.play').on('click',function(e){
		e.preventDefault();
		audio.play();
	});
	$('.audiocontrols a.pause').on('click',function(e){
		e.preventDefault();
		audio.pause();
	});
	$('.audiocontrols a.stop').on('click',function(e){
		e.preventDefault();
		audio.pause();
		audio.currentTime=0;
	});

	$('.down').on('click',function(e){
		e.preventDefault();	
		audio.volume=Math.max(audio.volume-0.1,0);
	});
	$('.up').on('click',function(e){
		e.preventDefault();	
		audio.volume=Math.min(audio.volume+0.1,1);
	});
	
	// create a draggable knob within its parent with JqueryUI Draggable.
	$(".knob").draggable({
		containment:"parent",
		drag:function(evt,ui){
			var newVol = Math.round(ui.position.left / $(this).parent().width()*10) / 10;
			audio.volume=newVol;
		}
		});
		
	//Clique sur la barre de défilement pour bouger rapidement sans dragger.
	$('.slider').on('click',function(e){
		if(!$(e.target).hasClass('slider'))return;
		var newVol = Math.round(e.offsetX/ $(this).width()*10) / 10;
		audio.volume=newVol;	
	});
	
	//Function that places the knob according to current volume.
	$(audio).on('volumechange',function(){
		$('.knob').css('left',Math.min(audio.volume*$('.knob').parent().width(),$('.knob').parent().width()-$('.knob').width())+'px');
		localStorage.setItem('volume',audio.volume);
	});
	//Lecteur des préférences de l'utilisateur.
	audio.volume=(localStorage.getItem('volume')||1);
	//Forcing an audiochange event.
	$(audio).trigger('volumechange');
	//Audio controls, play, pause and stop
	
})(jQuery);

</script>
</body>
</html>